#include <MDataStd_PlaneStorageDriver.ixx>
#include <PDataStd_Plane.hxx>
#include <TDataStd_Plane.hxx>
#include <CDM_MessageDriver.hxx>

MDataStd_PlaneStorageDriver::MDataStd_PlaneStorageDriver(const Handle(CDM_MessageDriver)& theMsgDriver):MDF_ASDriver(theMsgDriver)
{
}

Standard_Integer MDataStd_PlaneStorageDriver::VersionNumber() const
{ return 0; }

Handle(Standard_Type) MDataStd_PlaneStorageDriver::SourceType() const
{ return STANDARD_TYPE(TDataStd_Plane); }

Handle(PDF_Attribute) MDataStd_PlaneStorageDriver::NewEmpty() const
{ return new PDataStd_Plane (); }

//void MDataStd_PlaneStorageDriver::Paste(const Handle(TDF_Attribute)& Source,const Handle(PDF_Attribute)& Target,const Handle(MDF_SRelocationTable)& RelocTable) const
void MDataStd_PlaneStorageDriver::Paste(const Handle(TDF_Attribute)& ,const Handle(PDF_Attribute)& ,const Handle(MDF_SRelocationTable)& ) const
{
}

